Subject: Re: [PATCHv2 1/8] Makefile: apply dependencies consistently to sparse/asm targets

From: Thomas Rast <[email-masked]>
Date: Thu, 21 Jun 2012 01:00:50 +0200

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>>   [01/11]: Makefile: sort LIB_H list
>>   [02/11]: Makefile: fold MISC_H into LIB_H
>>   [03/11]: Makefile: do not have git.o depend on common-cmds.h
>>   [04/11]: Makefile: apply dependencies consistently to sparse/asm targets
>>   [05/11]: Makefile: do not replace @@GIT_USER_AGENT@@ in scripts
>>   [06/11]: Makefile: split GIT_USER_AGENT from GIT-CFLAGS
>>   [07/11]: Makefile: split prefix flags from GIT-CFLAGS
>>   [08/11]: Makefile: do not replace @@GIT_VERSION@@ in shell scripts
>>   [09/11]: Makefile: update scripts when build-time parameters change
>>   [10/11]: Makefile: build instaweb similar to other scripts
>>   [11/11]: Makefile: move GIT-VERSION-FILE dependencies closer to use
>
> Looks good modulo a minor nit.  Will queue.

I hate saying "me too", so instead I will say: I agree!

And thanks for this massive cleanup in response to a small nit...

-- 
Thomas Rast
trast@{inf,student}.ethz.ch